Update to 7.44.0
[platform/upstream/curl.git] / docs / libcurl / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #***************************************************************************
18 #                                  _   _ ____  _
19 #  Project                     ___| | | |  _ \| |
20 #                             / __| | | | |_) | |
21 #                            | (__| |_| |  _ <| |___
22 #                             \___|\___/|_| \_\_____|
23 #
24 # Copyright (C) 1998 - 2015, Daniel Stenberg, <daniel@haxx.se>, et al.
25 #
26 # This software is licensed as described in the file COPYING, which
27 # you should have received as part of this distribution. The terms
28 # are also available at http://curl.haxx.se/docs/copyright.html.
29 #
30 # You may opt to use, copy, modify, merge, publish, distribute and/or sell
31 # copies of the Software, and permit persons to whom the Software is
32 # furnished to do so, under the terms of the COPYING file.
33 #
34 # This software is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY
35 # KIND, either express or implied.
36 #
37 ###########################################################################
38
39 VPATH = @srcdir@
40 am__is_gnu_make = { \
41   if test -z '$(MAKELEVEL)'; then \
42     false; \
43   elif test -n '$(MAKE_HOST)'; then \
44     true; \
45   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
46     true; \
47   else \
48     false; \
49   fi; \
50 }
51 am__make_running_with_option = \
52   case $${target_option-} in \
53       ?) ;; \
54       *) echo "am__make_running_with_option: internal error: invalid" \
55               "target option '$${target_option-}' specified" >&2; \
56          exit 1;; \
57   esac; \
58   has_opt=no; \
59   sane_makeflags=$$MAKEFLAGS; \
60   if $(am__is_gnu_make); then \
61     sane_makeflags=$$MFLAGS; \
62   else \
63     case $$MAKEFLAGS in \
64       *\\[\ \   ]*) \
65         bs=\\; \
66         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
67           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
68     esac; \
69   fi; \
70   skip_next=no; \
71   strip_trailopt () \
72   { \
73     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
74   }; \
75   for flg in $$sane_makeflags; do \
76     test $$skip_next = yes && { skip_next=no; continue; }; \
77     case $$flg in \
78       *=*|--*) continue;; \
79         -*I) strip_trailopt 'I'; skip_next=yes;; \
80       -*I?*) strip_trailopt 'I';; \
81         -*O) strip_trailopt 'O'; skip_next=yes;; \
82       -*O?*) strip_trailopt 'O';; \
83         -*l) strip_trailopt 'l'; skip_next=yes;; \
84       -*l?*) strip_trailopt 'l';; \
85       -[dEDm]) skip_next=yes;; \
86       -[JT]) skip_next=yes;; \
87     esac; \
88     case $$flg in \
89       *$$target_option*) has_opt=yes; break;; \
90     esac; \
91   done; \
92   test $$has_opt = yes
93 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
94 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
95 pkgdatadir = $(datadir)/@PACKAGE@
96 pkgincludedir = $(includedir)/@PACKAGE@
97 pkglibdir = $(libdir)/@PACKAGE@
98 pkglibexecdir = $(libexecdir)/@PACKAGE@
99 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
100 install_sh_DATA = $(install_sh) -c -m 644
101 install_sh_PROGRAM = $(install_sh) -c
102 install_sh_SCRIPT = $(install_sh) -c
103 INSTALL_HEADER = $(INSTALL_DATA)
104 transform = $(program_transform_name)
105 NORMAL_INSTALL = :
106 PRE_INSTALL = :
107 POST_INSTALL = :
108 NORMAL_UNINSTALL = :
109 PRE_UNINSTALL = :
110 POST_UNINSTALL = :
111 build_triplet = @build@
112 host_triplet = @host@
113 subdir = docs/libcurl
114 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
115 am__aclocal_m4_deps = $(top_srcdir)/m4/curl-compilers.m4 \
116         $(top_srcdir)/m4/curl-confopts.m4 \
117         $(top_srcdir)/m4/curl-functions.m4 \
118         $(top_srcdir)/m4/curl-openssl.m4 \
119         $(top_srcdir)/m4/curl-override.m4 \
120         $(top_srcdir)/m4/curl-reentrant.m4 $(top_srcdir)/m4/libtool.m4 \
121         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
122         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
123         $(top_srcdir)/m4/xc-am-iface.m4 \
124         $(top_srcdir)/m4/xc-cc-check.m4 \
125         $(top_srcdir)/m4/xc-lt-iface.m4 \
126         $(top_srcdir)/m4/xc-translit.m4 \
127         $(top_srcdir)/m4/xc-val-flgs.m4 \
128         $(top_srcdir)/m4/zz40-xc-ovr.m4 \
129         $(top_srcdir)/m4/zz50-xc-ovr.m4 \
130         $(top_srcdir)/m4/zz60-xc-ovr.m4 $(top_srcdir)/acinclude.m4 \
131         $(top_srcdir)/configure.ac
132 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
133         $(ACLOCAL_M4)
134 DIST_COMMON = $(srcdir)/Makefile.am $(dist_m4macro_DATA) \
135         $(am__DIST_COMMON)
136 mkinstalldirs = $(install_sh) -d
137 CONFIG_HEADER = $(top_builddir)/lib/curl_config.h \
138         $(top_builddir)/include/curl/curlbuild.h
139 CONFIG_CLEAN_FILES =
140 CONFIG_CLEAN_VPATH_FILES =
141 AM_V_P = $(am__v_P_@AM_V@)
142 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
143 am__v_P_0 = false
144 am__v_P_1 = :
145 AM_V_GEN = $(am__v_GEN_@AM_V@)
146 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
147 am__v_GEN_0 = @echo "  GEN     " $@;
148 am__v_GEN_1 = 
149 AM_V_at = $(am__v_at_@AM_V@)
150 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
151 am__v_at_0 = @
152 am__v_at_1 = 
153 depcomp =
154 am__depfiles_maybe =
155 SOURCES =
156 DIST_SOURCES =
157 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
158         ctags-recursive dvi-recursive html-recursive info-recursive \
159         install-data-recursive install-dvi-recursive \
160         install-exec-recursive install-html-recursive \
161         install-info-recursive install-pdf-recursive \
162         install-ps-recursive install-recursive installcheck-recursive \
163         installdirs-recursive pdf-recursive ps-recursive \
164         tags-recursive uninstall-recursive
165 am__can_run_installinfo = \
166   case $$AM_UPDATE_INFO_DIR in \
167     n|no|NO) false;; \
168     *) (install-info --version) >/dev/null 2>&1;; \
169   esac
170 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
171 am__vpath_adj = case $$p in \
172     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
173     *) f=$$p;; \
174   esac;
175 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
176 am__install_max = 40
177 am__nobase_strip_setup = \
178   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
179 am__nobase_strip = \
180   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
181 am__nobase_list = $(am__nobase_strip_setup); \
182   for p in $$list; do echo "$$p $$p"; done | \
183   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
184   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
185     if (++n[$$2] == $(am__install_max)) \
186       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
187     END { for (dir in files) print dir, files[dir] }'
188 am__base_list = \
189   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
190   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
191 am__uninstall_files_from_dir = { \
192   test -z "$$files" \
193     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
194     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
195          $(am__cd) "$$dir" && rm -f $$files; }; \
196   }
197 man3dir = $(mandir)/man3
198 am__installdirs = "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(m4macrodir)"
199 MANS = $(man_MANS)
200 DATA = $(dist_m4macro_DATA)
201 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
202   distclean-recursive maintainer-clean-recursive
203 am__recursive_targets = \
204   $(RECURSIVE_TARGETS) \
205   $(RECURSIVE_CLEAN_TARGETS) \
206   $(am__extra_recursive_targets)
207 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
208         check recheck distdir
209 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
210 # Read a list of newline-separated strings from the standard input,
211 # and print each of them once, without duplicates.  Input order is
212 # *not* preserved.
213 am__uniquify_input = $(AWK) '\
214   BEGIN { nonempty = 0; } \
215   { items[$$0] = 1; nonempty = 1; } \
216   END { if (nonempty) { for (i in items) print i; }; } \
217 '
218 # Make sure the list of sources is unique.  This is necessary because,
219 # e.g., the same source file might be shared among _SOURCES variables
220 # for different programs/libraries.
221 am__define_uniq_tagged_files = \
222   list='$(am__tagged_files)'; \
223   unique=`for i in $$list; do \
224     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
225   done | $(am__uniquify_input)`
226 ETAGS = etags
227 CTAGS = ctags
228 am__tty_colors_dummy = \
229   mgn= red= grn= lgn= blu= brg= std=; \
230   am__color_tests=no
231 am__tty_colors = { \
232   $(am__tty_colors_dummy); \
233   if test "X$(AM_COLOR_TESTS)" = Xno; then \
234     am__color_tests=no; \
235   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
236     am__color_tests=yes; \
237   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
238     am__color_tests=yes; \
239   fi; \
240   if test $$am__color_tests = yes; then \
241     red='\e[0;31m'; \
242     grn='\e[0;32m'; \
243     lgn='\e[1;32m'; \
244     blu='\e[1;34m'; \
245     mgn='\e[0;35m'; \
246     brg='\e[1m'; \
247     std='\e[m'; \
248   fi; \
249 }
250 am__recheck_rx = ^[     ]*:recheck:[    ]*
251 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
252 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
253 # A command that, given a newline-separated list of test names on the
254 # standard input, print the name of the tests that are to be re-run
255 # upon "make recheck".
256 am__list_recheck_tests = $(AWK) '{ \
257   recheck = 1; \
258   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
259     { \
260       if (rc < 0) \
261         { \
262           if ((getline line2 < ($$0 ".log")) < 0) \
263             recheck = 0; \
264           break; \
265         } \
266       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
267         { \
268           recheck = 0; \
269           break; \
270         } \
271       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
272         { \
273           break; \
274         } \
275     }; \
276   if (recheck) \
277     print $$0; \
278   close ($$0 ".trs"); \
279   close ($$0 ".log"); \
280 }'
281 # A command that, given a newline-separated list of test names on the
282 # standard input, create the global log from their .trs and .log files.
283 am__create_global_log = $(AWK) ' \
284 function fatal(msg) \
285 { \
286   print "fatal: making $@: " msg | "cat >&2"; \
287   exit 1; \
288 } \
289 function rst_section(header) \
290 { \
291   print header; \
292   len = length(header); \
293   for (i = 1; i <= len; i = i + 1) \
294     printf "="; \
295   printf "\n\n"; \
296 } \
297 { \
298   copy_in_global_log = 1; \
299   global_test_result = "RUN"; \
300   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
301     { \
302       if (rc < 0) \
303          fatal("failed to read from " $$0 ".trs"); \
304       if (line ~ /$(am__global_test_result_rx)/) \
305         { \
306           sub("$(am__global_test_result_rx)", "", line); \
307           sub("[        ]*$$", "", line); \
308           global_test_result = line; \
309         } \
310       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
311         copy_in_global_log = 0; \
312     }; \
313   if (copy_in_global_log) \
314     { \
315       rst_section(global_test_result ": " $$0); \
316       while ((rc = (getline line < ($$0 ".log"))) != 0) \
317       { \
318         if (rc < 0) \
319           fatal("failed to read from " $$0 ".log"); \
320         print line; \
321       }; \
322       printf "\n"; \
323     }; \
324   close ($$0 ".trs"); \
325   close ($$0 ".log"); \
326 }'
327 # Restructured Text title.
328 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
329 # Solaris 10 'make', and several other traditional 'make' implementations,
330 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
331 # by disabling -e (using the XSI extension "set +e") if it's set.
332 am__sh_e_setup = case $$- in *e*) set +e;; esac
333 # Default flags passed to test drivers.
334 am__common_driver_flags = \
335   --color-tests "$$am__color_tests" \
336   --enable-hard-errors "$$am__enable_hard_errors" \
337   --expect-failure "$$am__expect_failure"
338 # To be inserted before the command running the test.  Creates the
339 # directory for the log if needed.  Stores in $dir the directory
340 # containing $f, in $tst the test, in $log the log.  Executes the
341 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
342 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
343 # will run the test scripts (or their associated LOG_COMPILER, if
344 # thy have one).
345 am__check_pre = \
346 $(am__sh_e_setup);                                      \
347 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
348 $(am__tty_colors);                                      \
349 srcdir=$(srcdir); export srcdir;                        \
350 case "$@" in                                            \
351   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
352     *) am__odir=.;;                                     \
353 esac;                                                   \
354 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
355   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
356 if test -f "./$$f"; then dir=./;                        \
357 elif test -f "$$f"; then dir=;                          \
358 else dir="$(srcdir)/"; fi;                              \
359 tst=$$dir$$f; log='$@';                                 \
360 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
361   am__enable_hard_errors=no;                            \
362 else                                                    \
363   am__enable_hard_errors=yes;                           \
364 fi;                                                     \
365 case " $(XFAIL_TESTS) " in                              \
366   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
367     am__expect_failure=yes;;                            \
368   *)                                                    \
369     am__expect_failure=no;;                             \
370 esac;                                                   \
371 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
372 # A shell command to get the names of the tests scripts with any registered
373 # extension removed (i.e., equivalently, the names of the test logs, with
374 # the '.log' extension removed).  The result is saved in the shell variable
375 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
376 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
377 # since that might cause problem with VPATH rewrites for suffix-less tests.
378 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
379 am__set_TESTS_bases = \
380   bases='$(TEST_LOGS)'; \
381   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
382   bases=`echo $$bases`
383 RECHECK_LOGS = $(TEST_LOGS)
384 TEST_SUITE_LOG = test-suite.log
385 TEST_EXTENSIONS = @EXEEXT@ .test
386 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
387 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
388 am__set_b = \
389   case '$@' in \
390     */*) \
391       case '$*' in \
392         */*) b='$*';; \
393           *) b=`echo '$@' | sed 's/\.log$$//'`; \
394        esac;; \
395     *) \
396       b='$*';; \
397   esac
398 am__test_logs1 = $(TESTS:=.log)
399 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
400 TEST_LOGS = $(am__test_logs2:.test.log=.log)
401 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
402 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
403         $(TEST_LOG_FLAGS)
404 DIST_SUBDIRS = $(SUBDIRS)
405 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/test-driver
406 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
407 am__relativize = \
408   dir0=`pwd`; \
409   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
410   sed_rest='s,^[^/]*/*,,'; \
411   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
412   sed_butlast='s,/*[^/]*$$,,'; \
413   while test -n "$$dir1"; do \
414     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
415     if test "$$first" != "."; then \
416       if test "$$first" = ".."; then \
417         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
418         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
419       else \
420         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
421         if test "$$first2" = "$$first"; then \
422           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
423         else \
424           dir2="../$$dir2"; \
425         fi; \
426         dir0="$$dir0"/"$$first"; \
427       fi; \
428     fi; \
429     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
430   done; \
431   reldir="$$dir2"
432 ACLOCAL = @ACLOCAL@
433 AMTAR = @AMTAR@
434 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
435 AR = @AR@
436 AS = @AS@
437 AUTOCONF = @AUTOCONF@
438 AUTOHEADER = @AUTOHEADER@
439 AUTOMAKE = @AUTOMAKE@
440 AWK = @AWK@
441 BLANK_AT_MAKETIME = @BLANK_AT_MAKETIME@
442 CC = @CC@
443 CCDEPMODE = @CCDEPMODE@
444 CFLAGS = @CFLAGS@
445 CFLAG_CURL_SYMBOL_HIDING = @CFLAG_CURL_SYMBOL_HIDING@
446 CONFIGURE_OPTIONS = @CONFIGURE_OPTIONS@
447 CPP = @CPP@
448 CPPFLAGS = @CPPFLAGS@
449 CPPFLAG_CURL_STATICLIB = @CPPFLAG_CURL_STATICLIB@
450 CURLVERSION = @CURLVERSION@
451 CURL_CA_BUNDLE = @CURL_CA_BUNDLE@
452 CURL_CFLAG_EXTRAS = @CURL_CFLAG_EXTRAS@
453 CURL_DISABLE_DICT = @CURL_DISABLE_DICT@
454 CURL_DISABLE_FILE = @CURL_DISABLE_FILE@
455 CURL_DISABLE_FTP = @CURL_DISABLE_FTP@
456 CURL_DISABLE_GOPHER = @CURL_DISABLE_GOPHER@
457 CURL_DISABLE_HTTP = @CURL_DISABLE_HTTP@
458 CURL_DISABLE_IMAP = @CURL_DISABLE_IMAP@
459 CURL_DISABLE_LDAP = @CURL_DISABLE_LDAP@
460 CURL_DISABLE_LDAPS = @CURL_DISABLE_LDAPS@
461 CURL_DISABLE_POP3 = @CURL_DISABLE_POP3@
462 CURL_DISABLE_PROXY = @CURL_DISABLE_PROXY@
463 CURL_DISABLE_RTSP = @CURL_DISABLE_RTSP@
464 CURL_DISABLE_SMB = @CURL_DISABLE_SMB@
465 CURL_DISABLE_SMTP = @CURL_DISABLE_SMTP@
466 CURL_DISABLE_TELNET = @CURL_DISABLE_TELNET@
467 CURL_DISABLE_TFTP = @CURL_DISABLE_TFTP@
468 CURL_LT_SHLIB_VERSIONED_FLAVOUR = @CURL_LT_SHLIB_VERSIONED_FLAVOUR@
469 CURL_NETWORK_AND_TIME_LIBS = @CURL_NETWORK_AND_TIME_LIBS@
470 CURL_NETWORK_LIBS = @CURL_NETWORK_LIBS@
471 CYGPATH_W = @CYGPATH_W@
472 DEFS = @DEFS@
473 DEPDIR = @DEPDIR@
474 DLLTOOL = @DLLTOOL@
475 DSYMUTIL = @DSYMUTIL@
476 DUMPBIN = @DUMPBIN@
477 ECHO_C = @ECHO_C@
478 ECHO_N = @ECHO_N@
479 ECHO_T = @ECHO_T@
480 EGREP = @EGREP@
481 ENABLE_SHARED = @ENABLE_SHARED@
482 ENABLE_STATIC = @ENABLE_STATIC@
483 EXEEXT = @EXEEXT@
484 FGREP = @FGREP@
485 GREP = @GREP@
486 HAVE_GNUTLS_SRP = @HAVE_GNUTLS_SRP@
487 HAVE_LDAP_SSL = @HAVE_LDAP_SSL@
488 HAVE_LIBZ = @HAVE_LIBZ@
489 HAVE_OPENSSL_SRP = @HAVE_OPENSSL_SRP@
490 IDN_ENABLED = @IDN_ENABLED@
491 INSTALL = @INSTALL@
492 INSTALL_DATA = @INSTALL_DATA@
493 INSTALL_PROGRAM = @INSTALL_PROGRAM@
494 INSTALL_SCRIPT = @INSTALL_SCRIPT@
495 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
496 IPV6_ENABLED = @IPV6_ENABLED@
497 LD = @LD@
498 LDFLAGS = @LDFLAGS@
499 LIBCURL_LIBS = @LIBCURL_LIBS@
500 LIBMETALINK_CPPFLAGS = @LIBMETALINK_CPPFLAGS@
501 LIBMETALINK_LDFLAGS = @LIBMETALINK_LDFLAGS@
502 LIBMETALINK_LIBS = @LIBMETALINK_LIBS@
503 LIBOBJS = @LIBOBJS@
504 LIBS = @LIBS@
505 LIBTOOL = @LIBTOOL@
506 LIPO = @LIPO@
507 LN_S = @LN_S@
508 LTLIBOBJS = @LTLIBOBJS@
509 MAINT = @MAINT@
510 MAKEINFO = @MAKEINFO@
511 MANIFEST_TOOL = @MANIFEST_TOOL@
512 MANOPT = @MANOPT@
513 MKDIR_P = @MKDIR_P@
514 NM = @NM@
515 NMEDIT = @NMEDIT@
516 NROFF = @NROFF@
517 NSS_LIBS = @NSS_LIBS@
518 OBJDUMP = @OBJDUMP@
519 OBJEXT = @OBJEXT@
520 OTOOL = @OTOOL@
521 OTOOL64 = @OTOOL64@
522 PACKAGE = @PACKAGE@
523 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
524 PACKAGE_NAME = @PACKAGE_NAME@
525 PACKAGE_STRING = @PACKAGE_STRING@
526 PACKAGE_TARNAME = @PACKAGE_TARNAME@
527 PACKAGE_URL = @PACKAGE_URL@
528 PACKAGE_VERSION = @PACKAGE_VERSION@
529 PATH_SEPARATOR = @PATH_SEPARATOR@
530 PERL = @PERL@
531 PKGADD_NAME = @PKGADD_NAME@
532 PKGADD_PKG = @PKGADD_PKG@
533 PKGADD_VENDOR = @PKGADD_VENDOR@
534 PKGCONFIG = @PKGCONFIG@
535 RANDOM_FILE = @RANDOM_FILE@
536 RANLIB = @RANLIB@
537 REQUIRE_LIB_DEPS = @REQUIRE_LIB_DEPS@
538 SED = @SED@
539 SET_MAKE = @SET_MAKE@
540 SHELL = @SHELL@
541 SSL_ENABLED = @SSL_ENABLED@
542 SSL_LIBS = @SSL_LIBS@
543 STRIP = @STRIP@
544 SUPPORT_FEATURES = @SUPPORT_FEATURES@
545 SUPPORT_PROTOCOLS = @SUPPORT_PROTOCOLS@
546 USE_ARES = @USE_ARES@
547 USE_AXTLS = @USE_AXTLS@
548 USE_CYASSL = @USE_CYASSL@
549 USE_DARWINSSL = @USE_DARWINSSL@
550 USE_GNUTLS = @USE_GNUTLS@
551 USE_GNUTLS_NETTLE = @USE_GNUTLS_NETTLE@
552 USE_LIBRTMP = @USE_LIBRTMP@
553 USE_LIBSSH2 = @USE_LIBSSH2@
554 USE_NGHTTP2 = @USE_NGHTTP2@
555 USE_NSS = @USE_NSS@
556 USE_OPENLDAP = @USE_OPENLDAP@
557 USE_POLARSSL = @USE_POLARSSL@
558 USE_SCHANNEL = @USE_SCHANNEL@
559 USE_UNIX_SOCKETS = @USE_UNIX_SOCKETS@
560 USE_WINDOWS_SSPI = @USE_WINDOWS_SSPI@
561 VERSION = @VERSION@
562 VERSIONNUM = @VERSIONNUM@
563 ZLIB_LIBS = @ZLIB_LIBS@
564 abs_builddir = @abs_builddir@
565 abs_srcdir = @abs_srcdir@
566 abs_top_builddir = @abs_top_builddir@
567 abs_top_srcdir = @abs_top_srcdir@
568 ac_ct_AR = @ac_ct_AR@
569 ac_ct_CC = @ac_ct_CC@
570 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
571 am__include = @am__include@
572 am__leading_dot = @am__leading_dot@
573 am__quote = @am__quote@
574 am__tar = @am__tar@
575 am__untar = @am__untar@
576 bindir = @bindir@
577 build = @build@
578 build_alias = @build_alias@
579 build_cpu = @build_cpu@
580 build_os = @build_os@
581 build_vendor = @build_vendor@
582 builddir = @builddir@
583 datadir = @datadir@
584 datarootdir = @datarootdir@
585 docdir = @docdir@
586 dvidir = @dvidir@
587 exec_prefix = @exec_prefix@
588 host = @host@
589 host_alias = @host_alias@
590 host_cpu = @host_cpu@
591 host_os = @host_os@
592 host_vendor = @host_vendor@
593 htmldir = @htmldir@
594 includedir = @includedir@
595 infodir = @infodir@
596 install_sh = @install_sh@
597 libdir = @libdir@
598 libexecdir = @libexecdir@
599 libext = @libext@
600 localedir = @localedir@
601 localstatedir = @localstatedir@
602 mandir = @mandir@
603 mkdir_p = @mkdir_p@
604 oldincludedir = @oldincludedir@
605 pdfdir = @pdfdir@
606 prefix = @prefix@
607 program_transform_name = @program_transform_name@
608 psdir = @psdir@
609 sbindir = @sbindir@
610 sharedstatedir = @sharedstatedir@
611 srcdir = @srcdir@
612 subdirs = @subdirs@
613 sysconfdir = @sysconfdir@
614 target_alias = @target_alias@
615 top_build_prefix = @top_build_prefix@
616 top_builddir = @top_builddir@
617 top_srcdir = @top_srcdir@
618 AUTOMAKE_OPTIONS = foreign no-dependencies
619 SUBDIRS = opts
620 man_MANS = curl_easy_cleanup.3 curl_easy_getinfo.3 curl_easy_init.3      \
621  curl_easy_perform.3 curl_easy_setopt.3 curl_easy_duphandle.3            \
622  curl_formadd.3 curl_formfree.3 curl_getdate.3 curl_getenv.3             \
623  curl_slist_append.3 curl_slist_free_all.3 curl_version.3                \
624  curl_version_info.3 curl_escape.3 curl_unescape.3 curl_free.3           \
625  curl_strequal.3 curl_mprintf.3 curl_global_init.3                       \
626  curl_global_cleanup.3 curl_multi_add_handle.3 curl_multi_cleanup.3      \
627  curl_multi_fdset.3 curl_multi_info_read.3 curl_multi_init.3             \
628  curl_multi_perform.3 curl_multi_remove_handle.3 curl_share_cleanup.3    \
629  curl_share_init.3 curl_share_setopt.3 libcurl.3 libcurl-easy.3          \
630  libcurl-multi.3 libcurl-share.3 libcurl-errors.3 curl_easy_strerror.3   \
631  curl_multi_strerror.3 curl_share_strerror.3 curl_global_init_mem.3      \
632  libcurl-tutorial.3 curl_easy_reset.3 curl_easy_escape.3                 \
633  curl_easy_unescape.3 curl_multi_setopt.3 curl_multi_socket.3            \
634  curl_multi_timeout.3 curl_formget.3 curl_multi_assign.3                 \
635  curl_easy_pause.3 curl_easy_recv.3 curl_easy_send.3                     \
636  curl_multi_socket_action.3 curl_multi_wait.3 libcurl-symbols.3          \
637  libcurl-thread.3
638
639 HTMLPAGES = curl_easy_cleanup.html curl_easy_getinfo.html               \
640  curl_easy_init.html curl_easy_perform.html curl_easy_setopt.html       \
641  curl_easy_duphandle.html curl_formadd.html curl_formfree.html          \
642  curl_getdate.html curl_getenv.html curl_slist_append.html              \
643  curl_slist_free_all.html curl_version.html curl_version_info.html      \
644  curl_escape.html curl_unescape.html curl_free.html curl_strequal.html  \
645  curl_mprintf.html curl_global_init.html curl_global_cleanup.html       \
646  curl_multi_add_handle.html curl_multi_cleanup.html                     \
647  curl_multi_fdset.html curl_multi_info_read.html curl_multi_init.html   \
648  curl_multi_perform.html curl_multi_remove_handle.html                  \
649  curl_share_cleanup.html curl_share_init.html curl_share_setopt.html    \
650  libcurl.html libcurl-multi.html libcurl-easy.html libcurl-share.html   \
651  libcurl-errors.html curl_easy_strerror.html curl_multi_strerror.html   \
652  curl_share_strerror.html curl_global_init_mem.html                     \
653  libcurl-tutorial.html curl_easy_reset.html curl_easy_escape.html       \
654  curl_easy_unescape.html curl_multi_setopt.html curl_multi_socket.html  \
655  curl_multi_timeout.html curl_formget.html curl_multi_assign.html       \
656  curl_easy_pause.html curl_easy_recv.html curl_easy_send.html           \
657  curl_multi_socket_action.html curl_multi_wait.html                     \
658  libcurl-symbols.html libcurl-thread.html
659
660 PDFPAGES = curl_easy_cleanup.pdf curl_easy_getinfo.pdf                   \
661  curl_easy_init.pdf curl_easy_perform.pdf curl_easy_setopt.pdf           \
662  curl_easy_duphandle.pdf curl_formadd.pdf curl_formfree.pdf              \
663  curl_getdate.pdf curl_getenv.pdf curl_slist_append.pdf                  \
664  curl_slist_free_all.pdf curl_version.pdf curl_version_info.pdf          \
665  curl_escape.pdf curl_unescape.pdf curl_free.pdf curl_strequal.pdf       \
666  curl_mprintf.pdf curl_global_init.pdf curl_global_cleanup.pdf           \
667  curl_multi_add_handle.pdf curl_multi_cleanup.pdf curl_multi_fdset.pdf   \
668  curl_multi_info_read.pdf curl_multi_init.pdf curl_multi_perform.pdf     \
669  curl_multi_remove_handle.pdf curl_share_cleanup.pdf                     \
670  curl_share_init.pdf curl_share_setopt.pdf libcurl.pdf                   \
671  libcurl-multi.pdf libcurl-easy.pdf libcurl-share.pdf                    \
672  libcurl-errors.pdf curl_easy_strerror.pdf curl_multi_strerror.pdf       \
673  curl_share_strerror.pdf curl_global_init_mem.pdf libcurl-tutorial.pdf   \
674  curl_easy_reset.pdf curl_easy_escape.pdf curl_easy_unescape.pdf         \
675  curl_multi_setopt.pdf curl_multi_socket.pdf curl_multi_timeout.pdf      \
676  curl_formget.pdf curl_multi_assign.pdf curl_easy_pause.pdf              \
677  curl_easy_recv.pdf curl_easy_send.pdf curl_multi_socket_action.pdf      \
678  curl_multi_wait.pdf libcurl-symbols.pdf libcurl-thread.pdf
679
680 m4macrodir = $(datadir)/aclocal
681 dist_m4macro_DATA = libcurl.m4
682 CLEANFILES = $(HTMLPAGES) $(PDFPAGES) $(TESTS) libcurl-symbols.3
683 EXTRA_DIST = $(man_MANS) $(HTMLPAGES) index.html $(PDFPAGES) ABI \
684   symbols-in-versions symbols.pl mksymbolsmanpage.pl
685
686 MAN2HTML = roffit --mandir=. < $< >$@
687 SUFFIXES = .3 .html
688
689 # Make sure each option man page is referenced in the main man page
690 TESTS = check-easy check-multi
691 LOG_COMPILER = $(PERL)
692 # The test fails if the log file contains any text
693 AM_LOG_FLAGS = -p -e 'die "$$_" if ($$_);'
694 all: all-recursive
695
696 .SUFFIXES:
697 .SUFFIXES: .3 .html .log .pdf .test .test$(EXEEXT) .trs
698 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
699         @for dep in $?; do \
700           case '$(am__configure_deps)' in \
701             *$$dep*) \
702               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
703                 && { if test -f $@; then exit 0; else break; fi; }; \
704               exit 1;; \
705           esac; \
706         done; \
707         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign docs/libcurl/Makefile'; \
708         $(am__cd) $(top_srcdir) && \
709           $(AUTOMAKE) --foreign docs/libcurl/Makefile
710 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
711         @case '$?' in \
712           *config.status*) \
713             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
714           *) \
715             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
716             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
717         esac;
718
719 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
720         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
721
722 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
723         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
724 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
725         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
726 $(am__aclocal_m4_deps):
727
728 mostlyclean-libtool:
729         -rm -f *.lo
730
731 clean-libtool:
732         -rm -rf .libs _libs
733 install-man3: $(man_MANS)
734         @$(NORMAL_INSTALL)
735         @list1=''; \
736         list2='$(man_MANS)'; \
737         test -n "$(man3dir)" \
738           && test -n "`echo $$list1$$list2`" \
739           || exit 0; \
740         echo " $(MKDIR_P) '$(DESTDIR)$(man3dir)'"; \
741         $(MKDIR_P) "$(DESTDIR)$(man3dir)" || exit 1; \
742         { for i in $$list1; do echo "$$i"; done;  \
743         if test -n "$$list2"; then \
744           for i in $$list2; do echo "$$i"; done \
745             | sed -n '/\.3[a-z]*$$/p'; \
746         fi; \
747         } | while read p; do \
748           if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
749           echo "$$d$$p"; echo "$$p"; \
750         done | \
751         sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
752               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
753         sed 'N;N;s,\n, ,g' | { \
754         list=; while read file base inst; do \
755           if test "$$base" = "$$inst"; then list="$$list $$file"; else \
756             echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man3dir)/$$inst'"; \
757             $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man3dir)/$$inst" || exit $$?; \
758           fi; \
759         done; \
760         for i in $$list; do echo "$$i"; done | $(am__base_list) | \
761         while read files; do \
762           test -z "$$files" || { \
763             echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man3dir)'"; \
764             $(INSTALL_DATA) $$files "$(DESTDIR)$(man3dir)" || exit $$?; }; \
765         done; }
766
767 uninstall-man3:
768         @$(NORMAL_UNINSTALL)
769         @list=''; test -n "$(man3dir)" || exit 0; \
770         files=`{ for i in $$list; do echo "$$i"; done; \
771         l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
772           sed -n '/\.3[a-z]*$$/p'; \
773         } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
774               -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
775         dir='$(DESTDIR)$(man3dir)'; $(am__uninstall_files_from_dir)
776 install-dist_m4macroDATA: $(dist_m4macro_DATA)
777         @$(NORMAL_INSTALL)
778         @list='$(dist_m4macro_DATA)'; test -n "$(m4macrodir)" || list=; \
779         if test -n "$$list"; then \
780           echo " $(MKDIR_P) '$(DESTDIR)$(m4macrodir)'"; \
781           $(MKDIR_P) "$(DESTDIR)$(m4macrodir)" || exit 1; \
782         fi; \
783         for p in $$list; do \
784           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
785           echo "$$d$$p"; \
786         done | $(am__base_list) | \
787         while read files; do \
788           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(m4macrodir)'"; \
789           $(INSTALL_DATA) $$files "$(DESTDIR)$(m4macrodir)" || exit $$?; \
790         done
791
792 uninstall-dist_m4macroDATA:
793         @$(NORMAL_UNINSTALL)
794         @list='$(dist_m4macro_DATA)'; test -n "$(m4macrodir)" || list=; \
795         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
796         dir='$(DESTDIR)$(m4macrodir)'; $(am__uninstall_files_from_dir)
797
798 # This directory's subdirectories are mostly independent; you can cd
799 # into them and run 'make' without going through this Makefile.
800 # To change the values of 'make' variables: instead of editing Makefiles,
801 # (1) if the variable is set in 'config.status', edit 'config.status'
802 #     (which will cause the Makefiles to be regenerated when you run 'make');
803 # (2) otherwise, pass the desired values on the 'make' command line.
804 $(am__recursive_targets):
805         @fail=; \
806         if $(am__make_keepgoing); then \
807           failcom='fail=yes'; \
808         else \
809           failcom='exit 1'; \
810         fi; \
811         dot_seen=no; \
812         target=`echo $@ | sed s/-recursive//`; \
813         case "$@" in \
814           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
815           *) list='$(SUBDIRS)' ;; \
816         esac; \
817         for subdir in $$list; do \
818           echo "Making $$target in $$subdir"; \
819           if test "$$subdir" = "."; then \
820             dot_seen=yes; \
821             local_target="$$target-am"; \
822           else \
823             local_target="$$target"; \
824           fi; \
825           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
826           || eval $$failcom; \
827         done; \
828         if test "$$dot_seen" = "no"; then \
829           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
830         fi; test -z "$$fail"
831
832 ID: $(am__tagged_files)
833         $(am__define_uniq_tagged_files); mkid -fID $$unique
834 tags: tags-recursive
835 TAGS: tags
836
837 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
838         set x; \
839         here=`pwd`; \
840         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
841           include_option=--etags-include; \
842           empty_fix=.; \
843         else \
844           include_option=--include; \
845           empty_fix=; \
846         fi; \
847         list='$(SUBDIRS)'; for subdir in $$list; do \
848           if test "$$subdir" = .; then :; else \
849             test ! -f $$subdir/TAGS || \
850               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
851           fi; \
852         done; \
853         $(am__define_uniq_tagged_files); \
854         shift; \
855         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
856           test -n "$$unique" || unique=$$empty_fix; \
857           if test $$# -gt 0; then \
858             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
859               "$$@" $$unique; \
860           else \
861             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
862               $$unique; \
863           fi; \
864         fi
865 ctags: ctags-recursive
866
867 CTAGS: ctags
868 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
869         $(am__define_uniq_tagged_files); \
870         test -z "$(CTAGS_ARGS)$$unique" \
871           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
872              $$unique
873
874 GTAGS:
875         here=`$(am__cd) $(top_builddir) && pwd` \
876           && $(am__cd) $(top_srcdir) \
877           && gtags -i $(GTAGS_ARGS) "$$here"
878 cscopelist: cscopelist-recursive
879
880 cscopelist-am: $(am__tagged_files)
881         list='$(am__tagged_files)'; \
882         case "$(srcdir)" in \
883           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
884           *) sdir=$(subdir)/$(srcdir) ;; \
885         esac; \
886         for i in $$list; do \
887           if test -f "$$i"; then \
888             echo "$(subdir)/$$i"; \
889           else \
890             echo "$$sdir/$$i"; \
891           fi; \
892         done >> $(top_builddir)/cscope.files
893
894 distclean-tags:
895         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
896
897 # Recover from deleted '.trs' file; this should ensure that
898 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
899 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
900 # to avoid problems with "make -n".
901 .log.trs:
902         rm -f $< $@
903         $(MAKE) $(AM_MAKEFLAGS) $<
904
905 # Leading 'am--fnord' is there to ensure the list of targets does not
906 # expand to empty, as could happen e.g. with make check TESTS=''.
907 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
908 am--force-recheck:
909         @:
910
911 $(TEST_SUITE_LOG): $(TEST_LOGS)
912         @$(am__set_TESTS_bases); \
913         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
914         redo_bases=`for i in $$bases; do \
915                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
916                     done`; \
917         if test -n "$$redo_bases"; then \
918           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
919           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
920           if $(am__make_dryrun); then :; else \
921             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
922           fi; \
923         fi; \
924         if test -n "$$am__remaking_logs"; then \
925           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
926                "recursion detected" >&2; \
927         elif test -n "$$redo_logs"; then \
928           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
929         fi; \
930         if $(am__make_dryrun); then :; else \
931           st=0;  \
932           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
933           for i in $$redo_bases; do \
934             test -f $$i.trs && test -r $$i.trs \
935               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
936             test -f $$i.log && test -r $$i.log \
937               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
938           done; \
939           test $$st -eq 0 || exit 1; \
940         fi
941         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
942         ws='[   ]'; \
943         results=`for b in $$bases; do echo $$b.trs; done`; \
944         test -n "$$results" || results=/dev/null; \
945         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
946         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
947         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
948         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
949         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
950         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
951         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
952         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
953           success=true; \
954         else \
955           success=false; \
956         fi; \
957         br='==================='; br=$$br$$br$$br$$br; \
958         result_count () \
959         { \
960             if test x"$$1" = x"--maybe-color"; then \
961               maybe_colorize=yes; \
962             elif test x"$$1" = x"--no-color"; then \
963               maybe_colorize=no; \
964             else \
965               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
966             fi; \
967             shift; \
968             desc=$$1 count=$$2; \
969             if test $$maybe_colorize = yes && test $$count -gt 0; then \
970               color_start=$$3 color_end=$$std; \
971             else \
972               color_start= color_end=; \
973             fi; \
974             echo "$${color_start}# $$desc $$count$${color_end}"; \
975         }; \
976         create_testsuite_report () \
977         { \
978           result_count $$1 "TOTAL:" $$all   "$$brg"; \
979           result_count $$1 "PASS: " $$pass  "$$grn"; \
980           result_count $$1 "SKIP: " $$skip  "$$blu"; \
981           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
982           result_count $$1 "FAIL: " $$fail  "$$red"; \
983           result_count $$1 "XPASS:" $$xpass "$$red"; \
984           result_count $$1 "ERROR:" $$error "$$mgn"; \
985         }; \
986         {                                                               \
987           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
988             $(am__rst_title);                                           \
989           create_testsuite_report --no-color;                           \
990           echo;                                                         \
991           echo ".. contents:: :depth: 2";                               \
992           echo;                                                         \
993           for b in $$bases; do echo $$b; done                           \
994             | $(am__create_global_log);                                 \
995         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
996         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
997         if $$success; then                                              \
998           col="$$grn";                                                  \
999          else                                                           \
1000           col="$$red";                                                  \
1001           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1002         fi;                                                             \
1003         echo "$${col}$$br$${std}";                                      \
1004         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1005         echo "$${col}$$br$${std}";                                      \
1006         create_testsuite_report --maybe-color;                          \
1007         echo "$$col$$br$$std";                                          \
1008         if $$success; then :; else                                      \
1009           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1010           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1011             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1012           fi;                                                           \
1013           echo "$$col$$br$$std";                                        \
1014         fi;                                                             \
1015         $$success || exit 1
1016
1017 check-TESTS:
1018         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1019         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1020         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1021         @set +e; $(am__set_TESTS_bases); \
1022         log_list=`for i in $$bases; do echo $$i.log; done`; \
1023         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1024         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1025         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1026         exit $$?;
1027 recheck: all 
1028         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1029         @set +e; $(am__set_TESTS_bases); \
1030         bases=`for i in $$bases; do echo $$i; done \
1031                  | $(am__list_recheck_tests)` || exit 1; \
1032         log_list=`for i in $$bases; do echo $$i.log; done`; \
1033         log_list=`echo $$log_list`; \
1034         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1035                 am__force_recheck=am--force-recheck \
1036                 TEST_LOGS="$$log_list"; \
1037         exit $$?
1038 check-easy.log: check-easy
1039         @p='check-easy'; \
1040         b='check-easy'; \
1041         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1042         --log-file $$b.log --trs-file $$b.trs \
1043         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1044         "$$tst" $(AM_TESTS_FD_REDIRECT)
1045 check-multi.log: check-multi
1046         @p='check-multi'; \
1047         b='check-multi'; \
1048         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1049         --log-file $$b.log --trs-file $$b.trs \
1050         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1051         "$$tst" $(AM_TESTS_FD_REDIRECT)
1052 .test.log:
1053         @p='$<'; \
1054         $(am__set_b); \
1055         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1056         --log-file $$b.log --trs-file $$b.trs \
1057         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1058         "$$tst" $(AM_TESTS_FD_REDIRECT)
1059 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1060 @am__EXEEXT_TRUE@       @p='$<'; \
1061 @am__EXEEXT_TRUE@       $(am__set_b); \
1062 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1063 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1064 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1065 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1066
1067 distdir: $(DISTFILES)
1068         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1069         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1070         list='$(DISTFILES)'; \
1071           dist_files=`for file in $$list; do echo $$file; done | \
1072           sed -e "s|^$$srcdirstrip/||;t" \
1073               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1074         case $$dist_files in \
1075           */*) $(MKDIR_P) `echo "$$dist_files" | \
1076                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1077                            sort -u` ;; \
1078         esac; \
1079         for file in $$dist_files; do \
1080           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1081           if test -d $$d/$$file; then \
1082             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1083             if test -d "$(distdir)/$$file"; then \
1084               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1085             fi; \
1086             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1087               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1088               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1089             fi; \
1090             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1091           else \
1092             test -f "$(distdir)/$$file" \
1093             || cp -p $$d/$$file "$(distdir)/$$file" \
1094             || exit 1; \
1095           fi; \
1096         done
1097         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1098           if test "$$subdir" = .; then :; else \
1099             $(am__make_dryrun) \
1100               || test -d "$(distdir)/$$subdir" \
1101               || $(MKDIR_P) "$(distdir)/$$subdir" \
1102               || exit 1; \
1103             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1104             $(am__relativize); \
1105             new_distdir=$$reldir; \
1106             dir1=$$subdir; dir2="$(top_distdir)"; \
1107             $(am__relativize); \
1108             new_top_distdir=$$reldir; \
1109             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1110             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1111             ($(am__cd) $$subdir && \
1112               $(MAKE) $(AM_MAKEFLAGS) \
1113                 top_distdir="$$new_top_distdir" \
1114                 distdir="$$new_distdir" \
1115                 am__remove_distdir=: \
1116                 am__skip_length_check=: \
1117                 am__skip_mode_fix=: \
1118                 distdir) \
1119               || exit 1; \
1120           fi; \
1121         done
1122 check-am: all-am
1123         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1124 check: check-recursive
1125 all-am: Makefile $(MANS) $(DATA)
1126 installdirs: installdirs-recursive
1127 installdirs-am:
1128         for dir in "$(DESTDIR)$(man3dir)" "$(DESTDIR)$(m4macrodir)"; do \
1129           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1130         done
1131 install: install-recursive
1132 install-exec: install-exec-recursive
1133 install-data: install-data-recursive
1134 uninstall: uninstall-recursive
1135
1136 install-am: all-am
1137         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1138
1139 installcheck: installcheck-recursive
1140 install-strip:
1141         if test -z '$(STRIP)'; then \
1142           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1143             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1144               install; \
1145         else \
1146           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1147             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1148             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1149         fi
1150 mostlyclean-generic:
1151         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1152         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1153         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1154
1155 clean-generic:
1156         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1157
1158 distclean-generic:
1159         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1160         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1161
1162 maintainer-clean-generic:
1163         @echo "This command is intended for maintainers to use"
1164         @echo "it deletes files that may require special tools to rebuild."
1165 clean: clean-recursive
1166
1167 clean-am: clean-generic clean-libtool mostlyclean-am
1168
1169 distclean: distclean-recursive
1170         -rm -f Makefile
1171 distclean-am: clean-am distclean-generic distclean-tags
1172
1173 dvi: dvi-recursive
1174
1175 dvi-am:
1176
1177 html-am:
1178
1179 info: info-recursive
1180
1181 info-am:
1182
1183 install-data-am: install-dist_m4macroDATA install-man
1184
1185 install-dvi: install-dvi-recursive
1186
1187 install-dvi-am:
1188
1189 install-exec-am:
1190
1191 install-html: install-html-recursive
1192
1193 install-html-am:
1194
1195 install-info: install-info-recursive
1196
1197 install-info-am:
1198
1199 install-man: install-man3
1200
1201 install-pdf: install-pdf-recursive
1202
1203 install-pdf-am:
1204
1205 install-ps: install-ps-recursive
1206
1207 install-ps-am:
1208
1209 installcheck-am:
1210
1211 maintainer-clean: maintainer-clean-recursive
1212         -rm -f Makefile
1213 maintainer-clean-am: distclean-am maintainer-clean-generic
1214
1215 mostlyclean: mostlyclean-recursive
1216
1217 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
1218
1219 pdf-am:
1220
1221 ps: ps-recursive
1222
1223 ps-am:
1224
1225 uninstall-am: uninstall-dist_m4macroDATA uninstall-man
1226
1227 uninstall-man: uninstall-man3
1228
1229 .MAKE: $(am__recursive_targets) check-am install-am install-strip
1230
1231 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1232         check-TESTS check-am clean clean-generic clean-libtool \
1233         cscopelist-am ctags ctags-am distclean distclean-generic \
1234         distclean-libtool distclean-tags distdir dvi dvi-am html \
1235         html-am info info-am install install-am install-data \
1236         install-data-am install-dist_m4macroDATA install-dvi \
1237         install-dvi-am install-exec install-exec-am install-html \
1238         install-html-am install-info install-info-am install-man \
1239         install-man3 install-pdf install-pdf-am install-ps \
1240         install-ps-am install-strip installcheck installcheck-am \
1241         installdirs installdirs-am maintainer-clean \
1242         maintainer-clean-generic mostlyclean mostlyclean-generic \
1243         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
1244         uninstall uninstall-am uninstall-dist_m4macroDATA \
1245         uninstall-man uninstall-man3
1246
1247 .PRECIOUS: Makefile
1248
1249
1250 libcurl-symbols.3: $(srcdir)/symbols-in-versions $(srcdir)/mksymbolsmanpage.pl
1251         perl $(srcdir)/mksymbolsmanpage.pl < $(srcdir)/symbols-in-versions > $@
1252
1253 html: $(HTMLPAGES)
1254         cd opts; make html
1255
1256 .3.html:
1257         $(MAN2HTML)
1258
1259 pdf: $(PDFPAGES)
1260         cd opts; make pdf
1261
1262 .3.pdf:
1263         @(foo=`echo $@ | sed -e 's/\.[0-9]$$//g'`; \
1264         groff -Tps -man $< >$$foo.ps; \
1265         ps2pdf $$foo.ps $@; \
1266         rm $$foo.ps; \
1267         echo "converted $< to $@")
1268
1269 check-easy: $(srcdir)/curl_easy_setopt.3 $(srcdir)/opts/CURLOPT*.3
1270         OPTS="$$(ls $(srcdir)/opts/CURLOPT*.3 | $(SED) -e 's,^.*/,,' -e 's,\.3$$,,')" && \
1271         for opt in $$OPTS; do grep "^\.IP $$opt$$" $(srcdir)/curl_easy_setopt.3 >/dev/null || echo Missing $$opt; done > $@
1272
1273 check-multi: $(srcdir)/curl_multi_setopt.3 $(srcdir)/opts/CURLMOPT*.3
1274         OPTS="$$(ls $(srcdir)/opts/CURLMOPT*.3 | $(SED) -e 's,^.*/,,' -e 's,\.3$$,,')" && \
1275         for opt in $$OPTS; do grep "^\.IP $$opt$$" $(srcdir)/curl_multi_setopt.3 >/dev/null || echo Missing $$opt; done > $@
1276
1277 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1278 # Otherwise a system limit (for SysV at least) may be exceeded.
1279 .NOEXPORT: